<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('hierarchy.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" alt="" usemap="#_admin_library_manager"/>
<map name="_admin_library_manager" id="_admin_library_manager">
<area shape="rect" id="node2" href="class_admin_library_manager.html" title="AdminLibraryManager" alt="" coords="133,31,281,57"/>
<area shape="rect" id="node5" href="class_inline_label.html" title="InlineLabel" alt="" coords="165,81,249,108"/>
<area shape="rect" id="node6" href="class_user_books_widget.html" title="UserBooksWidget" alt="" coords="143,132,271,159"/>
<area shape="rect" id="node7" href="class_user_preferences_widget.html" title="UserPreferencesWidget" alt="" coords="127,183,288,209"/>
<area shape="rect" id="node3" href="class_admin_books_library_manager.html" title="AdminBooksLibraryManager" alt="" coords="336,5,521,32"/>
<area shape="rect" id="node4" href="class_admin_users_library_manager.html" title="AdminUsersLibraryManager" alt="" coords="337,56,520,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" alt="" usemap="#_app"/>
<map name="_app" id="_app">
<area shape="rect" id="node2" href="class_app.html" title="MVC controller class Has backend and frontend parts: controls and make them interact. " alt="" coords="124,5,169,32"/>
<area shape="rect" id="node3" href="class_gui.html" title="Manages UI for the app. " alt="" coords="125,56,168,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" alt="" usemap="#_book_details_dialog"/>
<map name="_book_details_dialog" id="_book_details_dialog">
<area shape="rect" id="node2" href="class_book_details_dialog.html" title="BookDetailsDialog" alt="" coords="123,31,253,57"/>
<area shape="rect" id="node5" href="class_login_dialog.html" title="LoginDialog" alt="" coords="143,81,233,108"/>
<area shape="rect" id="node6" href="class_sign_in_dialog.html" title="SignInDialog" alt="" coords="140,132,236,159"/>
<area shape="rect" id="node7" href="class_sign_up_dialog.html" title="SignUpDialog" alt="" coords="137,183,239,209"/>
<area shape="rect" id="node8" href="class_user_details_dialog.html" title="UserDetailsDialog" alt="" coords="124,233,252,260"/>
<area shape="rect" id="node11" href="class_user_dialog.html" title="UserDialog" alt="" coords="145,284,231,311"/>
<area shape="rect" id="node3" href="class_book_adder_dialog.html" title="BookAdderDialog" alt="" coords="309,5,432,32"/>
<area shape="rect" id="node4" href="class_book_manager_dialog.html" title="BookManagerDialog" alt="" coords="301,56,440,83"/>
<area shape="rect" id="node9" href="class_user_adder_dialog.html" title="UserAdderDialog" alt="" coords="310,183,431,209"/>
<area shape="rect" id="node10" href="class_user_editor_dialog.html" title="UserEditorDialog" alt="" coords="310,233,431,260"/>
<area shape="rect" id="node12" href="class_admin_dialog.html" title="AdminDialog" alt="" coords="323,284,419,311"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" alt="" usemap="#_database_3_01_book_01_4"/>
<map name="_database_3_01_book_01_4" id="_database_3_01_book_01_4">
<area shape="rect" id="node1" href="class_database.html" title="Database\&lt; Book \&gt;" alt="" coords="5,5,137,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" alt="" usemap="#_database_3_01_o_auth_id_01_4"/>
<map name="_database_3_01_o_auth_id_01_4" id="_database_3_01_o_auth_id_01_4">
<area shape="rect" id="node1" href="class_database.html" title="Database\&lt; OAuthId \&gt;" alt="" coords="5,5,156,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" alt="" usemap="#_database_3_01_smart_pointer_3_01_book_01_4_01_4"/>
<map name="_database_3_01_smart_pointer_3_01_book_01_4_01_4" id="_database_3_01_smart_pointer_3_01_book_01_4_01_4">
<area shape="rect" id="node1" href="class_database.html" title="Database\&lt; SmartPointer\l\&lt; Book \&gt; \&gt;" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" alt="" usemap="#_database_3_01_smart_pointer_3_01_user_01_4_01_4"/>
<map name="_database_3_01_smart_pointer_3_01_user_01_4_01_4" id="_database_3_01_smart_pointer_3_01_user_01_4_01_4">
<area shape="rect" id="node1" href="class_database.html" title="Database\&lt; SmartPointer\l\&lt; User \&gt; \&gt;" alt="" coords="5,5,172,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" alt="" usemap="#_database_3_01_t_01_4"/>
<map name="_database_3_01_t_01_4" id="_database_3_01_t_01_4">
<area shape="rect" id="node1" href="class_database.html" title="Abstract collection of object. " alt="" coords="5,5,116,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" alt="" usemap="#_i_o_stream"/>
<map name="_i_o_stream" id="_i_o_stream">
<area shape="rect" id="node1" href="class_i_o_stream.html" title="IOStream" alt="" coords="5,5,84,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" alt="" usemap="#_item"/>
<map name="_item" id="_item">
<area shape="rect" id="node1" href="class_item.html" title="general item to buy with ID " alt="" coords="5,5,53,32"/>
<area shape="rect" id="node2" href="class_book.html" title="Library book with author, ISBN and status. " alt="" coords="101,5,153,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" alt="" usemap="#_library"/>
<map name="_library" id="_library">
<area shape="rect" id="node1" href="class_library.html" title="model of library with users and books " alt="" coords="5,5,67,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" alt="" usemap="#_o_auth"/>
<map name="_o_auth" id="_o_auth">
<area shape="rect" id="node1" href="class_o_auth.html" title="OAuth" alt="" coords="5,5,64,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" alt="" usemap="#_o_auth_id"/>
<map name="_o_auth_id" id="_o_auth_id">
<area shape="rect" id="node1" href="class_o_auth_id.html" title="OAuthId" alt="" coords="5,5,76,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_13.png" border="0" alt="" usemap="#_person"/>
<map name="_person" id="_person">
<area shape="rect" id="node1" href="class_person.html" title="Wrap for generic person personal info. " alt="" coords="5,5,68,32"/>
<area shape="rect" id="node2" href="class_user.html" title="User" alt="" coords="116,5,167,32"/>
<area shape="rect" id="node3" href="class_admin.html" title="A library user who is also an admin (i.e can manage books of library) " alt="" coords="215,5,273,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_14.png" border="0" alt="" usemap="#_reference_counter"/>
<map name="_reference_counter" id="_reference_counter">
<area shape="rect" id="node1" href="class_reference_counter.html" title="ReferenceCounter" alt="" coords="5,5,133,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_15.png" border="0" alt="" usemap="#_settings"/>
<map name="_settings" id="_settings">
<area shape="rect" id="node1" href="class_settings.html" title="settings manager for app " alt="" coords="5,5,76,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_16.png" border="0" alt="" usemap="#_smart_pointer_3_01_t_01_4"/>
<map name="_smart_pointer_3_01_t_01_4" id="_smart_pointer_3_01_t_01_4">
<area shape="rect" id="node1" href="class_smart_pointer.html" title="SmartPointer\&lt; T \&gt;" alt="" coords="5,5,136,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_17.png" border="0" alt="" usemap="#_utils"/>
<map name="_utils" id="_utils">
<area shape="rect" id="node1" href="class_utils.html" title="Utils" alt="" coords="5,5,55,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
